Package org.snpeff.snpEffect

# Enum Class ErrorWarningType

java.lang.Object
java.lang.Enum<ErrorWarningType>
org.snpeff.snpEffect.ErrorWarningType

All Implemented Interfaces:
  `Serializable`, `Comparable<ErrorWarningType>`, `Constable`

public enum ErrorWarningType extends Enum<ErrorWarningType>
Errors and warnings

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`ERROR_CHROMOSOME_NOT_FOUND`
`ERROR_FILE_NOT_FOUND`
`ERROR_MISSING_CDS_SEQUENCE`
`ERROR_OUT_OF_CHROMOSOME_RANGE`
`ERROR_OUT_OF_EXON`
`INFO_REALIGN_3_PRIME`
`WARNING_CANNOT_ADD_UTR`
`WARNING_CDS_TOO_SHORT`
`WARNING_CHROMOSOME_CIRCULAR`
`WARNING_CHROMOSOME_LENGTH`
`WARNING_CHROMOSOME_NOT_FOUND`
`WARNING_DUPLICATE_PRIMARY_KEY`
`WARNING_EXON_NOT_FOUND`
`WARNING_EXON_SEQUENCE_LENGTH`
`WARNING_EXON_TOO_SHORT`
`WARNING_FILE_NOT_FOUND`
`WARNING_FRAMES_ZERO`
`WARNING_GENE_COORDINATES`
`WARNING_GENE_ID_DUPLICATE`
`WARNING_GENE_NOT_FOUND`
`WARNING_INVALID_INFO_KEY`
`WARNING_INVALID_INFO_VALUE`
`WARNING_RARE_AA_POSSITION_NOT_FOUND`
`WARNING_REF_DOES_NOT_MATCH_GENOME`
`WARNING_SEQUENCE_NOT_AVAILABLE`
`WARNING_TRANSCRIPT_ID_DUPLICATE`
`WARNING_TRANSCRIPT_INCOMPLETE`
`WARNING_TRANSCRIPT_MULTIPLE_STOP_CODONS`
`WARNING_TRANSCRIPT_NO_START_CODON`
`WARNING_TRANSCRIPT_NO_STOP_CODON`
`WARNING_TRANSCRIPT_NOT_FOUND`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isError()`
`boolean`
`isWarning()`
`static ErrorWarningType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ErrorWarningType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INFO_REALIGN_3_PRIME

public static final ErrorWarningType INFO_REALIGN_3_PRIME

### WARNING_SEQUENCE_NOT_AVAILABLE

public static final ErrorWarningType WARNING_SEQUENCE_NOT_AVAILABLE

### WARNING_REF_DOES_NOT_MATCH_GENOME

public static final ErrorWarningType WARNING_REF_DOES_NOT_MATCH_GENOME

### WARNING_TRANSCRIPT_INCOMPLETE

public static final ErrorWarningType WARNING_TRANSCRIPT_INCOMPLETE

### WARNING_TRANSCRIPT_MULTIPLE_STOP_CODONS

public static final ErrorWarningType WARNING_TRANSCRIPT_MULTIPLE_STOP_CODONS

### WARNING_TRANSCRIPT_NO_START_CODON

public static final ErrorWarningType WARNING_TRANSCRIPT_NO_START_CODON

### WARNING_TRANSCRIPT_NO_STOP_CODON

public static final ErrorWarningType WARNING_TRANSCRIPT_NO_STOP_CODON

### ERROR_CHROMOSOME_NOT_FOUND

public static final ErrorWarningType ERROR_CHROMOSOME_NOT_FOUND

### ERROR_OUT_OF_CHROMOSOME_RANGE

public static final ErrorWarningType ERROR_OUT_OF_CHROMOSOME_RANGE

### ERROR_OUT_OF_EXON

public static final ErrorWarningType ERROR_OUT_OF_EXON

### ERROR_MISSING_CDS_SEQUENCE

public static final ErrorWarningType ERROR_MISSING_CDS_SEQUENCE

### WARNING_CDS_TOO_SHORT

public static final ErrorWarningType WARNING_CDS_TOO_SHORT

### WARNING_CHROMOSOME_NOT_FOUND

public static final ErrorWarningType WARNING_CHROMOSOME_NOT_FOUND

### WARNING_CHROMOSOME_CIRCULAR

public static final ErrorWarningType WARNING_CHROMOSOME_CIRCULAR

### WARNING_CHROMOSOME_LENGTH

public static final ErrorWarningType WARNING_CHROMOSOME_LENGTH

### WARNING_GENE_COORDINATES

public static final ErrorWarningType WARNING_GENE_COORDINATES

### WARNING_GENE_ID_DUPLICATE

public static final ErrorWarningType WARNING_GENE_ID_DUPLICATE

### WARNING_GENE_NOT_FOUND

public static final ErrorWarningType WARNING_GENE_NOT_FOUND

### WARNING_EXON_NOT_FOUND

public static final ErrorWarningType WARNING_EXON_NOT_FOUND

### WARNING_EXON_SEQUENCE_LENGTH

public static final ErrorWarningType WARNING_EXON_SEQUENCE_LENGTH

### WARNING_EXON_TOO_SHORT

public static final ErrorWarningType WARNING_EXON_TOO_SHORT

### WARNING_TRANSCRIPT_NOT_FOUND

public static final ErrorWarningType WARNING_TRANSCRIPT_NOT_FOUND

### WARNING_TRANSCRIPT_ID_DUPLICATE

public static final ErrorWarningType WARNING_TRANSCRIPT_ID_DUPLICATE

### WARNING_CANNOT_ADD_UTR

public static final ErrorWarningType WARNING_CANNOT_ADD_UTR

### WARNING_FRAMES_ZERO

public static final ErrorWarningType WARNING_FRAMES_ZERO

### WARNING_RARE_AA_POSSITION_NOT_FOUND

public static final ErrorWarningType WARNING_RARE_AA_POSSITION_NOT_FOUND

### WARNING_INVALID_INFO_KEY

public static final ErrorWarningType WARNING_INVALID_INFO_KEY

### WARNING_INVALID_INFO_VALUE

public static final ErrorWarningType WARNING_INVALID_INFO_VALUE

### ERROR_FILE_NOT_FOUND

public static final ErrorWarningType ERROR_FILE_NOT_FOUND

### WARNING_FILE_NOT_FOUND

public static final ErrorWarningType WARNING_FILE_NOT_FOUND

### WARNING_DUPLICATE_PRIMARY_KEY

public static final ErrorWarningType WARNING_DUPLICATE_PRIMARY_KEY

## Method Details

### values

public static ErrorWarningType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ErrorWarningType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isError

public boolean isError()

### isWarning

public boolean isWarning()